<?php
	@session_start();
	if (!isset($_SESSION["admin"]["id"])) {
		echo "<script>location.href='index.php';</script>";
	}
?>


<h1 class="page-header">
    
    	<div class="row">
    		<div class="col-md-7 col-sm-6">
    			Mudar Senha
    		</div>
    	</div>
    
</h1>

<?php
	if ($_POST) {
		$senha = trim($_POST["senha"]);
		$nova = trim($_POST["nova"]);
		$id = $_SESSION["admin"]["id"];

		$sql = "select * from usuario where id = ".(int)$id." limit 1";
		$consulta = $db->prepare($sql);
		$consulta->execute();
		$row = $consulta->fetch(PDO::FETCH_OBJ);

		if (!empty($senha)) {
			$senha = md5($senha);
			if (empty($row->id)) {
				echo "<div class='alert alert-danger'>Erro ao atualizar senha</div>";
			} else if ($senha != $row->senha) {
				echo "<div class='alert alert-danger'>A senha atual não confere</div>";
			} else if (empty($nova)) {
				echo "<div class='alert alert-danger'>Preencha a nova senha</div>";
			} else {
				$nova = md5($nova);
				$sql = "update usuario set senha = '$nova' where id = ".(int)$id." limit 1";
				$consulta = $db->prepare($sql);
				if ($consulta->execute()) {
					echo "<div class='alert alert-success'>Sua senha foi modificada com sucesso!</div>";
				} else {
					echo "<div class='alert alert-danger'>Erro ao atualizar senha!</div>";
				}
			}
		}
	}


?>

<form name="form1" method="post">
	<div class="control-group">
		<label class="control-label">Senha atual:</label>
		<div class="controls">
			<input type="password" name="senha" class="form-control" required data-validation-required-message="Preencha com sua senha atual" placeholder="Digite sua senha atual">
		</div>
	</div>
	<div class="control-group">
		<label class="control-label">Nova senha:</label>
		<div class="controls">
			<input type="password" name="nova" id="nova" class="form-control" required data-validation-required-message="Preencha sua nova senha" placeholder="Digite a nova senha">
			<meter value="0" id="mtSenha" max="100"></meter>
		</div>
	</div>
	<div class="control-group">
		<label class="control-label">Redigite a nova senha:</label>
		<div class="controls">
			<input type="password" id="redigite" class="form-control" required data-validation-required-message="Redigitre a nova senha" placeholder="Redigite sua nova senha" data-validation-match-match="nova"
			data-validation-match-message="A senha redigitada não confere com sua nova senha">
		</div>
	</div>
	<br>

	<button type="submit" class="btn btn-success pull-right">Atualizar Senha</button>
</form>

<script type="text/javascript">
	$(function () {
        $("#nova").complexify({}, function (valid, complexity) {
            document.getElementById("mtSenha").value = complexity;
        });
    });
</script>